BEGIN
CREATE TABLE [dbo].[Orgs](
	[Organization] [char](35) NOT NULL,
 CONSTRAINT [PK_Orgs] PRIMARY KEY CLUSTERED 
(
	[Organization] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[IDView]'))
EXEC dbo.sp_executesql @statement = N'CREATE VIEW [dbo].[IDView]
AS SELECT scope_identity() as LastID

--

--
' 
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Faqs]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Faqs](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[Topic] [char](25) NOT NULL,
	[Question] [varchar](2499) NULL,
	[Answer] [varchar](2499) NULL,
 CONSTRAINT [PK_Faqs] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[StaffMembers]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[StaffMembers](
	[SID] [int] IDENTITY(1,1) NOT NULL,
	[PersonName] [nvarchar](20) NOT NULL,
	[WebLogin] [nvarchar](50) NULL,
	[WebPassWord] [nvarchar](50) NULL,
	[SecLevel] [int] NULL,
 CONSTRAINT [PK_StaffMembers] PRIMARY KEY CLUSTERED 
(
	[SID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[StaffMembers]') AND name = N'IX_WebLogin')
CREATE UNIQUE NONCLUSTERED INDEX [IX_WebLogin] ON [dbo].[StaffMembers] 
(
	[WebLogin] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[StaffMembers]') AND name = N'IXPersonName')
CREATE UNIQUE NONCLUSTERED INDEX [IXPersonName] ON [dbo].[StaffMembers] 
(
	[PersonName] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
INSERT INTO StaffMembers
                      (PersonName, WebLogin, WebPassword, SecLevel)
VALUES     ('Admin','Admin','Admin',3)
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Priority]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Priority](
	[Priority] [char](20) NOT NULL,
 CONSTRAINT [PK_Priority] PRIMARY KEY CLUSTERED 
(
	[Priority] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
INSERT INTO Priority
                      (PRIORITY)
VALUES     ('Normal')
GO
INSERT INTO Priority
                      (PRIORITY)
VALUES     ('High')
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CallTypes]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[CallTypes](
	[CallType] [char](32) NOT NULL,
 CONSTRAINT [PK_CallTypes_1] PRIMARY KEY CLUSTERED 
(
	[CallType] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[status]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[status](
	[STATUS] [char](20) NOT NULL,
 CONSTRAINT [PK_status_1] PRIMARY KEY CLUSTERED 
(
	[STATUS] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY],
 CONSTRAINT [UQ__status__29572725] UNIQUE NONCLUSTERED 
(
	[STATUS] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO
SET ANSI_NULLS ON
GO

INSERT INTO status
                      (STATUS)
VALUES     ('New')
GO 
INSERT INTO status
                      (STATUS)
VALUES     ('Complete')
GO

SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Calls]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Calls](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[CallDate] [smalldatetime] NOT NULL CONSTRAINT [DF_Calls_CallDate]  DEFAULT (getdate()),
	[Caller] [char](32) NOT NULL,
	[Organization] [char](35) NULL,
	[EmailAddr] [char](65) NULL,
	[PHONE] [char](26) NULL,
	[CallType] [char](32) NULL,
	[TakenBy] [char](25) NULL,
	[AssignedTo] [char](25) NULL,
	[CallDetails] [varchar](4999) NULL,
	[CompDate] [smalldatetime] NULL,
	[CompBy] [char](25) NULL,
	[Status] [char](20) NULL CONSTRAINT [DF_Calls_Status]  DEFAULT ('New'),
	[Priority] [char](20) NULL CONSTRAINT [DF_Calls_Priority]  DEFAULT ('Normal'),
	[Solution] [varchar](4999) NULL,
	[Notes] [varchar](4999) NULL,
 CONSTRAINT [PK_calls] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[Calls]') AND name = N'IX_Assigned')
CREATE NONCLUSTERED INDEX [IX_Assigned] ON [dbo].[Calls] 
(
	[AssignedTo] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[Calls]') AND name = N'IX_callername')
CREATE NONCLUSTERED INDEX [IX_callername] ON [dbo].[Calls] 
(
	[Caller] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[Calls]') AND name = N'IX_CallType')
CREATE NONCLUSTERED INDEX [IX_CallType] ON [dbo].[Calls] 
(
	[CallType] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[Calls]') AND name = N'IX_Orgs')
CREATE NONCLUSTERED INDEX [IX_Orgs] ON [dbo].[Calls] 
(
	[Organization] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[Calls]') AND name = N'IX_Status')
CREATE NONCLUSTERED INDEX [IX_Status] ON [dbo].[Calls] 
(
	[Status] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Callers]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[Callers](
	[CALLERID] [int] IDENTITY(1,1) NOT NULL,
	[CALLERNAME] [char](32) NULL,
	[ORGANIZATION] [char](35) NULL,
	[PHONE] [char](26) NULL,
	[EMAIL] [char](65) NULL,
	[FAX] [char](26) NULL,
	[ADDRESS] [char](55) NULL,
	[CITY] [char](32) NULL,
	[ST] [char](15) NULL,
	[ZIP] [char](12) NULL,
	[NOTES] [varchar](4999) NULL,
 CONSTRAINT [PK_Callers] PRIMARY KEY CLUSTERED 
(
	[CALLERID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY],
 CONSTRAINT [IX_CallerID] UNIQUE NONCLUSTERED 
(
	[CALLERID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY],
 CONSTRAINT [IX_CallerName] UNIQUE NONCLUSTERED 
(
	[CALLERNAME] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
END